Subject: bug#47243: pr lacks -p

From: Paul Eggert <[email-masked]>
Date: Mon, 28 Jul 2025 09:53:57 -0700

On 2025-07-28 09:23, Pádraig Brady wrote:
> Yes it's a fair point.
> We don't want existing scripts that use -f to start pausing unexpectedly.
> I suppose this is a case for only pausing with -f if POSIXLY_CORRECT
> env var is set.

Although backward compatibility is an issue, the current behavior is 
clearly wrong for the intended use of -f, which is for logins via 
printing terminals so stdout is the printer. So a better way to think 
about it is that this is merely a longstanding obscure bug in GNU 'pr' 
that we can fix.

The only reason we haven't noticed the bug before, is that nobody has 
seriously used those terminals in decades, so nobody has run into the 
bug and taken the time to report it.

Other 'pr' implementations (e.g., FreeBSD) do the right thing here, and 
I see no significant reason (other than inertia) for us to be both wrong 
for the intended use and incompatible with the rest of the world.